Skip to main content
GET
/
v0
/
billing
/
checkout-status
curl --request GET \
  --url 'https://api.unify.ai/v0/billing/checkout-status?session_id=None' \
  --header "Authorization: Bearer $UNIFY_KEY"
{
    "status": "string | null",
    "payment_status": "string | null"
}
Retrieve the status of a Stripe Checkout session. Security: verifies the session belongs to the authenticated user / org by cross-checking the Stripe customer or client_reference_id.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

session_id
string
required
curl --request GET \
  --url 'https://api.unify.ai/v0/billing/checkout-status?session_id=None' \
  --header "Authorization: Bearer $UNIFY_KEY"
{
    "status": "string | null",
    "payment_status": "string | null"
}